<template>
  <v-dialog v-model="isdisp" max-width="400">
    <v-card>
      <v-card-title>
        <div>{{title}}</div>
      </v-card-title>
      <v-card-text>
        <p>{{text}}</p>
      </v-card-text>

      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn v-for="(btn, i) of btns" :key="i" @click="clickBtn(btn)">{{btn}}</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: {
    disp: Boolean,
    title: String,
    text: String,
    btns: Array,
  },
  mounted: function() {
  },
  data: () => ({
  }),
  computed: {
    isdisp: {
      get: function() { return this.disp },
      set: function(val) { this.$emit('update:disp', false) }
    }
  },
  methods: {
    clickBtn(btn) {
      this.isdisp = false
      this.$emit('update:btn', btn)
    }
  }
}
</script>